# Class ByteArrayConverter

java.lang.Object
com.databricks.jdbc.api.impl.converters.ByteArrayConverter

All Implemented Interfaces:
  `ObjectConverter`

public class ByteArrayConverter extends Object implements ObjectConverter

## Field Summary

### Fields inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`DEFAULT_TIMESTAMP_SCALE, POWERS_OF_TEN`

## Constructor Summary

Constructors
Constructor
Description
`ByteArrayConverter()`

## Method Summary

Modifier and Type
Method
Description
`byte`
`toByte(Object object)`
`byte[]`
`toByteArray(Object object)`
`String`
`toString(Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`toAsciiStream, toBigDecimal, toBigDecimal, toBigInteger, toBinaryStream, toBoolean, toChar, toCharacterStream, toDatabricksArray, toDatabricksMap, toDatabricksStruct, toDate, toDouble, toFloat, toInt, toLocalDate, toLong, toShort, toTime, toTimestamp, toTimestamp, toUnicodeStream`

## Constructor Details

### ByteArrayConverter

public ByteArrayConverter()

## Method Details

### toByteArray

public byte[] toByteArray(Object object) throws DatabricksSQLException

Specified by:
  `toByteArray` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

### toByte

public byte toByte(Object object) throws DatabricksSQLException

Specified by:
  `toByte` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

### toString

public String toString(Object object) throws DatabricksSQLException

Specified by:
  `toString` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`